Bug 227322 - NullPointerException at org.apache.maven.index.context.DefaultIndexingContext.releaseIndexSearcher with scp repositories
NullPointerException at org.apache.maven.index.context.DefaultIndexingContext...
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Maven
7.3
All All
: P3 (vote)
: 7.3.1
Assigned To: Milos Kleint
issues@projects
EXCEPTIONS_REPORT 73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-11 21:57 UTC by tak3shi
Modified: 2013-05-10 08:19 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.82 KB, text/plain)
2013-03-11 21:57 UTC, tak3shi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tak3shi 2013-03-11 21:57:51 UTC
Build: NetBeans IDE 7.3 (Build 201302132200)
VM: Java HotSpot(TM) Client VM, 20.9-b04, Java(TM) SE Runtime Environment, 1.6.0_34-b04
OS: Windows Vista

User Comments:
GUEST: I was just watching the code. then I turn to another window on my S.O.

tak3shi: unknown




Stacktrace: 
java.lang.NullPointerException
   at org.apache.maven.index.context.DefaultIndexingContext.releaseIndexSearcher(DefaultIndexingContext.java:509)
   at org.apache.maven.index.context.DefaultIndexingContext.merge(DefaultIndexingContext.java:698)
   at org.apache.maven.index.context.DefaultIndexingContext.merge(DefaultIndexingContext.java:622)
   at org.apache.maven.index.updater.DefaultIndexUpdater.loadIndexDirectory(DefaultIndexUpdater.java:214)
   at org.apache.maven.index.updater.DefaultIndexUpdater.access$300(DefaultIndexUpdater.java:76)
   at org.apache.maven.index.updater.DefaultIndexUpdater$LuceneIndexAdaptor.addIndexChunk(DefaultIndexUpdater.java:636)
Comment 1 tak3shi 2013-03-11 21:57:54 UTC
Created attachment 132480 [details]
stacktrace
Comment 2 Milos Kleint 2013-03-20 12:34:40 UTC
both logs contain scp:// maven repositories that should not be included in our lists I suppose as we don't by default have the scp (or ftp etc) Maven Wagons on IDE's module system classpath

scp://192.168.2.2/var/maven2/repository/

partially fixed by http://jira.codehaus.org/browse/MINDEXER-71 which appears in latest maven indexer binaries. The proper exception should be shown now, not masking the original
Comment 3 Milos Kleint 2013-03-20 13:26:44 UTC
http://hg.netbeans.org/core-main/rev/87043644c89a
Comment 4 Quality Engineering 2013-03-21 01:53:07 UTC
Integrated into 'main-golden', will be available in build *201303202300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/87043644c89a
User: Milos Kleint <mkleint@netbeans.org>
Log: #227322 only urls from wagons supported by default maven installation are included in Maven repositories services node. no scp, ftp etc
Comment 5 Tomas Danek 2013-05-02 09:34:51 UTC
verified.

Product Version: NetBeans IDE Dev (Build 201304292301)
Updates: Updates available
Java: 1.7.0_21; Java HotSpot(TM) 64-Bit Server VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b12
System: Mac OS X version 10.8.3 running on x86_64; US-ASCII; en_US (nb)
User directory: /Users/tomas/Library/Application Support/NetBeans/dev
Cache directory: /Users/tomas/Library/Caches/NetBeans/dev

please backport.
Comment 6 Milos Kleint 2013-05-03 12:32:45 UTC
http://hg.netbeans.org/releases/rev/28dc9df26bf4
Comment 7 Quality Engineering 2013-05-05 00:26:18 UTC
Integrated into 'releases', will be available in build *201305042200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/28dc9df26bf4
User: Milos Kleint <mkleint@netbeans.org>
Log: #227322 only urls from wagons supported by default maven installation are included in Maven repositories services node. no scp, ftp etc - merge into release73
Comment 8 Tomas Danek 2013-05-10 08:19:58 UTC
Verified in 7.3 + patch 2
Product Version: NetBeans IDE 7.3.1 (Build 201305082200)
Java: 1.7.0_21; Java HotSpot(TM) 64-Bit Server VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b12
System: Mac OS X version 10.8.3 running on x86_64; US-ASCII; en_US (nb)
User directory: /Users/tomas/Library/Application Support/NetBeans/7.3
Cache directory: /Users/tomas/Library/Caches/NetBeans/7.3


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo